<?php

namespace Util;

class Messages {

    // Mail    
    const MAIL_ERR_PARAM = "Favor parametrizar as configurações de envio de email no sistema HCM na tela de parâmetros de organização.";
    const MAIL_DEST_NOT_FOUND = "Email de @ não encontrado.";
    const MAIL_DEST_NOT_FOUND_OPERADOR = "Email do operador não encontrado.";
    const MAIL_TEMPLATE_NOT_FOUND = "Template de email não encontrado.";
    const MAIL_OPERADOR_NOT_FOUND = "Operador do gestor não encontrado.";
    const MAIL_NOT_SENT = "Email não enviado.";
    const MAILS_NOT_SENT = "Emails não enviados.";
    
    // Ocorrencia
    const OCOR_NOT_FOUND = "Ocorrência pendente nao encontrada";
    const OCOR_DADOS_HOR_VINC_NOT_FOUND = "Não foi possível salvar a ocorrência pois os dados do horário do vínculo não encontrados";
    const OCOR_ERR_NOT_SAVED = "Não foi possível salvar a ocorrência.";
    const OCOR_ERR_NOT_DELETED = "Não foi possível remover a ocorrência.";
    const OCOR_ERR_NOT_FOUND = "Não foi encontrada a ocorrência.";
    const OCOR_ALMOCO_NOT_REMOVED = "Não foi possível remover o almoço de algum(s) dia(s).";
    const OCOR_ALMOCO_MARC_EXISTS = "Já existe ocorrência de marcação para esse intervalo.";
    
    const OCOR_COMPENS_FALTA_NOT_SAVED = "Não foi possível gerar a ocorrência de compensação de falta de algum(s) dia(s). Por favor, tente novamente mais tarde.";
    const OCOR_COMPENS_FALTA_ALREADY_INCLUDED = "Já foi incluída a solicitação de compensação de falta de algum(s) dia(s).";
    const OCOR_COMPENS_FALTA_ALL_INCLUDED = "Já foi incluída a solicitação de compensação de falta para todos o(s) dia(s) selecionado(s).";
    const OCOR_COMPENS_FALTA_ALREADY_INCLUDED_SPECIFIED_DATES = "Solicitação de compensação de falta já incluída para o(s) dia(s): @DATES@.";
    
    const OCOR_ABONO_FALTA_NOT_SAVED = "Não foi possível gerar a ocorrência de abono de falta de algum(s) dia(s). Por favor, tente novamente mais tarde.";
    const OCOR_ABONO_FALTA_ALREADY_INCLUDED = "Já foi incluída a solicitação de abono de falta de algum(s) dia(s).";
    const OCOR_ABONO_FALTA_ALL_INCLUDED = "Já foi incluída a solicitação de abono de falta para todos o(s) dia(s) selecionado(s).";
    const OCOR_ABONO_FALTA_ALREADY_INCLUDED_SPECIFIED_DATES = "Solicitação de abono de falta já incluída para o(s) dia(s): @DATES@.";
    
    const OCOR_TROCA_HORARIO_NOT_SAVED = "Não foi possível gerar a ocorrência de troca de horário de algum(s) dia(s). Por favor, tente novamente mais tarde.";
    const OCOR_TROCA_HORARIO_ALREADY_INCLUDED = "Já foi incluída a solicitação de troca de horário de algum(s) dia(s).";
    const OCOR_TROCA_HORARIO_ALL_INCLUDED = "Já foi incluída a solicitação de troca de horário para todos o(s) dia(s) selecionado(s).";
    const OCOR_TROCA_HORARIO_ALREADY_INCLUDED_SPECIFIED_DATES = "Solicitação de troca de horário já incluída para o(s) dia(s): @DATES@.";
    
    // Férias
    const FERIAS_PROGFERIAS_NAO_SALVA = 'Não foi possível salvar a programação de férias';
    const FERIAS_PROGFERIAS_QNT_DIAS_SUPERIOR_LIMITE = 'A quantidade de dias inserida para as previsões é maior que o limite do priodo aquisitivo';
    
    // Vinculo
    const VINC_NOT_FOUND = 'Não foi encontrado registro relativo ao vínculo.';
    const VINC_OPER_NOT_FOUND = 'Não foi encontrado registro relativo ao vínculo a partir do operador recebido.';
    const VINC_HOR_DADOS_NOT_FOUND = 'Dados de horário do vínculo não foram encontrados.';
    
    // Estrutura
    const ESTRUT_NOT_FOUND = 'Não foi encontrado registro relativo a estrutura.';
    
    // Operador
    const OPERADOR_NOT_FOUND = 'Não foi encontrado registro relativo ao operador.';
    const PARCNEGOCIO_OPERADOR_NOT_FOUND = 'Não foi encontrado o registro de parceiro de negócio do operador.';
    const OPER_NOT_AUTHORIZED = 'O operador não pode realizar o procedimento pois não possui perfil de acesso administrador.';
    
    // Marcacao
    const MARCACAO_MULT_IMPOSSIVEL_SALVAR_MARCACAOES = 'Não foi possível salvar as marações.';
    const MARCACAO_NOT_FOUND = 'Não foi encontrada marcação.';
    const MARCACAO_MARC_HOR_IGUAIS = 'Existem marcações de mesmo horário. Por favor, apague uma das marcações para poder prosseguir com a edição do intervalo.';
    const MARCACAO_LANC_ANTES_HORARIO_BASE = 'Lançamento antes do horário base!';
    const MARCACAO_LANC_DEPOIS_TEMPO_SUPERIOR_HORARIO_BASE = 'Lançamento após o horário base e tempo superior a sua jornada diária. Se necessário, adicione um intervalo após a jornada';
    const MARCACAO_OFFLINE_NOT_PERMITTED_FAIL = 'Batidas não sincronizadas! O ponto de acesso do colaborador não permite a realização de batidas offline';
    const MARCACAO_MANUAL_OBRIGATORIA = 'O motivo para lançamento manual de marcações é obrigatória. Recarregue a aba caso o cadastro não esteja visível';
    const MARCACAO_DELETE_FAIL = 'As marcações não podem ser excluídas porque ainda estão pendentes de aprovação. Se necessário, remova as ocorrências associadas à elas.';
    const MARCACAO_EDIT_FAIL = 'As marcações não podem ser editadas porque ainda estão pendentes de aprovação ou foram rejeitadas. Se necessário, remova as ocorrências associadas à elas ou as próprias marcações.';
    const MARCACAO_START_END_REQUIRED = 'É necessário informar um intervalo com entrada e saída';
    
    // Periodo
    const PERIODO_PER_NOT_FOUND = 'Período não encontrado.';
    const PERIODO_CLOSED = 'O período está fechado.';
    
    // Apuracao
    const APUR_PROCESSO_NAO_REALIZADO_PENDENCIAS_APURACAO = 'O processo não pôde ser realizado devido à existência de dias anteriores não apurados.';
    const APUR_PROCESSO_NAO_REALIZADO_MARCACOES_EXISTENTES = 'O processo não pôde ser realizado pois foram encontradas marcações em dias selecionados.';
    const APUR_DIA_SEM_ALMOCO = 'O processo não pôde ser realizado pois foram encontrados intervalos de almoco para em dias selecionados.';
    const APUR_HOR_TRAB_EXCEDIDO_1 = 'Tempo de trabalho diário superior à 04:00 e inferior a 06:00, favor identificar intervalo de descanso no dia ';
    const APUR_HOR_TRAB_EXCEDIDO_EST = 'Não é possivel apurar. Tempo de trabalho diário em @DIA@ superior à jornada limite de @JORNADALIMITE@. Diferença de @DIFERENCAJORNADA@';
    const APUR_HOR_TRAB_EXCEDIDO_2 = 'Tempo de trabalho diário superior à 06:00, favor identificar intervalo para descanso no dia ';
    const APUR_DADOS_NOT_FOUND = 'Dados de apuração do vínculo não encontrados para validação da jornada.';
    
    // Dados Horário
    const HOR_DADOS_NOT_FOUND = 'Dados de horário vínculo não encontrados para validação do intervalo.';
    
    // Movimentação
    const MOV_ADI_IGUAL_LEGAL = 'Não é permitido uma movimentação adicional utilizando o mesmo tipo de estrutura legal.';
    const MOV_ADI_IGUAL_GEREN = 'Não é permitido uma movimentação adicional utilizando o mesmo tipo de estrutura gerencial.';
    const MOV_ADI_IGUAL_SINDI = 'Não é permitido uma movimentação adicional utilizando o mesmo tipo de estrutura sindical.';

}